Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.properties.get.impl
Class GetDocumentHandler

    java.lang.Object
      org.apache.muse.core.routing.AbstractMessageHandler
          org.apache.muse.ws.resource.properties.get.impl.GetDocumentHandler

All Implemented Interfaces:
  MessageHandler

public class GetDocumentHandler
extends AbstractMessageHandler

GetDocumentHandler is the parser for the WS-ResourceProperties GetResourcePropertyDocument operation.

Author:
  Dan Jemiolo (danj)

Field Summary

Fields inherited from class org.apache.muse.core.routing.AbstractMessageHandler
`EMPTY_REQUEST`

Constructor Summary
`GetDocumentHandler()`

Method Summary
`java.lang.Object[]` | `fromXML(org.w3c.dom.Element xml)` Deserializes the given DOM Element into a set of POJOs that can be used when invoking a Java method.
`org.w3c.dom.Element` | `toXML(java.lang.Object result)` Serializes the given object into a DOM Element.

Methods inherited from class org.apache.muse.core.routing.AbstractMessageHandler
`getAction, getMethod, getRequestName, getResponseName, setMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetDocumentHandler

    public GetDocumentHandler()

Method Detail

### fromXML

    public java.lang.Object[] fromXML(org.w3c.dom.Element xml)

  Description copied from interface: `MessageHandler`
  Deserializes the given DOM Element into a set of POJOs that can be used when invoking a Java method. Implementations should use Muse's registered Serializers in order to deserialize the XML into objects of the proper types.

  Parameters:
    `xml` - The contents of a SOAP Body, where the root element contains all of the method parameters. For simple parameters, this element may contain the actual parameter data.
  Returns:
    An array with the method parameters in the correct order for invocation. This array can be passed to the invoke() method in java.lang.reflect.Method. If the method takes no parameters, an empty array is returned.
  See Also:
    `Serializer.fromXML(Element)`

### toXML

    public org.w3c.dom.Element toXML(java.lang.Object result)

  Description copied from interface: `MessageHandler`
  Serializes the given object into a DOM Element. Implementations should use Muse's registered Serializers in order to serialize the objects into the proper formats.

  Parameters:
    `result` - The response value from the operation, which must be serialized into XML.
  Returns:
    The XML equivalent of the given object, wrapped in an element whose QName is the value of getResponseName().
  See Also:
    `MessageHandler.getResponseName()`, `Serializer.toXML(Object, QName)`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD